Reserves inventory for Proposal objects.
HTTP request
POST https://admanager.googleapis.com/v1/{parent}/proposals:batchReserve
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where proposals will be reserved. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "names": [ string ], "overbookingAllowed": boolean } |
| Fields | |
|---|---|
names[] |
Required. The resource names of the Proposals to reserve. Format: |
overbookingAllowed |
Optional. Whether to allow overbooking when reserving inventory. |
Response body
If successful, the response body is empty.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/admanager
For more information, see the OAuth 2.0 Overview.